ALAS-2015-584


Amazon Linux AMI Security Advisory: ALAS-2015-584
Advisory Release Date: 2016-03-16 16:30 Pacific
Severity: Medium

Issue Overview:

PHP process crashes when processing an invalid file with the "phar" extension. (CVE-2015-5589 )

As discussed upstream, mysqlnd is vulnerable to the attack described in https://www.duosecurity.com/blog/backronym-mysql-vulnerability. (CVE-2015-3152 )

PHP versions before 5.5.27 and 5.4.43 contain buffer overflow issue. (CVE-2015-5590 )

A flaw was discovered in the way PHP performed object unserialization. Specially crafted input processed by the unserialize() function could cause a PHP application to crash or, possibly, execute arbitrary code. (CVE-2015-6831 , CVE-2015-6832 )

A flaw was found in the way the way PHP's Phar extension parsed Phar archives. A specially crafted archive could cause PHP to crash or, possibly, execute arbitrary code when opened. (CVE-2015-6833 )


Affected Packages:

php55


Issue Correction:
Run yum update php55 to update your system.

New Packages:
i686:
    php55-imap-5.5.28-1.106.amzn1.i686
    php55-tidy-5.5.28-1.106.amzn1.i686
    php55-gd-5.5.28-1.106.amzn1.i686
    php55-enchant-5.5.28-1.106.amzn1.i686
    php55-xmlrpc-5.5.28-1.106.amzn1.i686
    php55-debuginfo-5.5.28-1.106.amzn1.i686
    php55-snmp-5.5.28-1.106.amzn1.i686
    php55-mbstring-5.5.28-1.106.amzn1.i686
    php55-5.5.28-1.106.amzn1.i686
    php55-dba-5.5.28-1.106.amzn1.i686
    php55-embedded-5.5.28-1.106.amzn1.i686
    php55-common-5.5.28-1.106.amzn1.i686
    php55-process-5.5.28-1.106.amzn1.i686
    php55-pspell-5.5.28-1.106.amzn1.i686
    php55-soap-5.5.28-1.106.amzn1.i686
    php55-odbc-5.5.28-1.106.amzn1.i686
    php55-mysqlnd-5.5.28-1.106.amzn1.i686
    php55-gmp-5.5.28-1.106.amzn1.i686
    php55-fpm-5.5.28-1.106.amzn1.i686
    php55-intl-5.5.28-1.106.amzn1.i686
    php55-ldap-5.5.28-1.106.amzn1.i686
    php55-pgsql-5.5.28-1.106.amzn1.i686
    php55-devel-5.5.28-1.106.amzn1.i686
    php55-cli-5.5.28-1.106.amzn1.i686
    php55-mcrypt-5.5.28-1.106.amzn1.i686
    php55-xml-5.5.28-1.106.amzn1.i686
    php55-bcmath-5.5.28-1.106.amzn1.i686
    php55-opcache-5.5.28-1.106.amzn1.i686
    php55-recode-5.5.28-1.106.amzn1.i686
    php55-mssql-5.5.28-1.106.amzn1.i686
    php55-pdo-5.5.28-1.106.amzn1.i686

src:
    php55-5.5.28-1.106.amzn1.src

x86_64:
    php55-xmlrpc-5.5.28-1.106.amzn1.x86_64
    php55-enchant-5.5.28-1.106.amzn1.x86_64
    php55-mysqlnd-5.5.28-1.106.amzn1.x86_64
    php55-debuginfo-5.5.28-1.106.amzn1.x86_64
    php55-devel-5.5.28-1.106.amzn1.x86_64
    php55-recode-5.5.28-1.106.amzn1.x86_64
    php55-pspell-5.5.28-1.106.amzn1.x86_64
    php55-5.5.28-1.106.amzn1.x86_64
    php55-pdo-5.5.28-1.106.amzn1.x86_64
    php55-process-5.5.28-1.106.amzn1.x86_64
    php55-imap-5.5.28-1.106.amzn1.x86_64
    php55-opcache-5.5.28-1.106.amzn1.x86_64
    php55-gmp-5.5.28-1.106.amzn1.x86_64
    php55-mbstring-5.5.28-1.106.amzn1.x86_64
    php55-fpm-5.5.28-1.106.amzn1.x86_64
    php55-embedded-5.5.28-1.106.amzn1.x86_64
    php55-soap-5.5.28-1.106.amzn1.x86_64
    php55-bcmath-5.5.28-1.106.amzn1.x86_64
    php55-gd-5.5.28-1.106.amzn1.x86_64
    php55-tidy-5.5.28-1.106.amzn1.x86_64
    php55-pgsql-5.5.28-1.106.amzn1.x86_64
    php55-intl-5.5.28-1.106.amzn1.x86_64
    php55-xml-5.5.28-1.106.amzn1.x86_64
    php55-common-5.5.28-1.106.amzn1.x86_64
    php55-ldap-5.5.28-1.106.amzn1.x86_64
    php55-mcrypt-5.5.28-1.106.amzn1.x86_64
    php55-snmp-5.5.28-1.106.amzn1.x86_64
    php55-mssql-5.5.28-1.106.amzn1.x86_64
    php55-cli-5.5.28-1.106.amzn1.x86_64
    php55-dba-5.5.28-1.106.amzn1.x86_64
    php55-odbc-5.5.28-1.106.amzn1.x86_64